# lichen-annotate-pdf

>  Annotation layer for pdf.js in vue, based on the 'pdf-annotate-vue' package

Make sure you are on the **`deploy` branch** to see the last version.

## Install

```
npm install lichen-annotate-pdf@latest
```

## Local development

```bash
# 1 - In lichen-annotate-pdf folder
npm install
npm link

# 2 - In another vue project
npm uninstall lichen-annotate-pdf # Remove official release
npm link lichen-annotate-pdf # Add local package

# 3 - Once you are satisfied, in the lichen-annotate-pdf folder
npm unlink
npm publish

# 4 - Then, in the vue project
npm unlink lichen-annotate-pdf
npm install lichen-annotate-pdf@latest
```

## Publish

Update the app version in the `package.json` file. Then run the following command :

```
npm install
npm publish
```

## Props

See all the propos and local data in the [pdfAnnotate component](/src/pdfAnnotate).

## Quick Example fron pdf-annotate-pdf

```html
<template>
  <div id="app">
     pdf path: {{pdf}}
    <pdfAnnotate :src="pdf" :toolbar="toolbar" commentWrapper="commentWrapper"></pdfAnnotate>
  </div>
</template>

<script>

import pdfAnnotate from 'pdf-annotate-vue'
import "pdf-annotate-vue/src/css/toolbar.css";
import "pdf-annotate-vue/src/css/pdf_viewer.css";

export default {
  name: 'home',
  components: {
    pdfAnnotate
  },
  data(){
    return {
      pdf: './static/output.pdf',
      toolbar: true,
      commentWrapper: true,
    }
  }
}
</script>
```
